// $Id: nrembrowser.js,v 1.1.2.7 2010/06/30 21:01:27 aaron Exp $
(function ($) {

// @todo Array syntax required; 'break' is a predefined token in JavaScript.
Drupal.wysiwyg.plugins['nrembrowser'] = {

  /**
   * Return whether the passed node belongs to this plugin.
   */
  isNode: function(node) {
    return ($(node).is('img.wysiwyg-nrembrowser'));
  },

  /**
   * Execute the button.
   */
  invoke: function(data, settings, instanceId) {
    if (data.format == 'html') {
      $('#' + instanceId).data('element', $(this)).data('fieldName', 'wysiwyg').data('insertElement', Drupal.wysiwyg.instances[instanceId]);
      // Launch the browser.
      Drupal.nrembrowser.dialog($('#' + instanceId), '');
    }
  },

  /**
   * Replace all [[nid:123]] tags with images.
   */
  attach: function(content, settings, instanceId) {
    return content.replace(/\[\[nid:(\d+)\]\]/gi, function(match, nid) { return Drupal.wysiwyg.plugins.nrembrowser._getPlaceholder(settings, nid); });
  },

  /**
   * Replace images with [[nid:123]] tags in content upon detaching editor.
   */
  detach: function(content, settings, instanceId) {
    return Drupal.nrembrowser.markup(content);
  },

  _placeholderCount: 0,

  /**
   * Helper function to return a HTML placeholder.
   */
  _getPlaceholder: function (settings, nid) {
    if (nid) {
      // Grab source of thumbnail from nrembrowser.
      return '<img src="' + settings.global.thumbnailURL + '/' + nid + '" class="nrembrowser-thumbnail-image drupal-content" alt="[[nid:' + nid + ']]" title="[[nid:' + nid + ']]" />'
    }
  }
};

})(jQuery);
