<?php
// $Id: nrembrowser.theme.inc,v 1.1.2.1 2010/07/06 21:53:03 aaron Exp $

/**
 * @file nrembrowser/themes/nrembrowser.theme.inc
 *
 * Theme preprocessing for Node Reference / Embed Media Browser (nrembrowser).
 */

function template_preprocess_nrembrowser_node_add_page(&$variables) {
  global $user;

  // Set required headers.
  drupal_set_header('Content-Type: text/html; charset=utf-8');

  $types = node_get_types();
  $type = isset($variables['type']) ? str_replace('-', '_', $variables['type']) : NULL;
  // If a node type has been specified, validate its existence.
  if (isset($types[$type]) && node_access('create', $type)) {
    // Initialize settings:
    $node = array('uid' => $user->uid, 'name' => (isset($user->name) ? $user->name : ''), 'type' => $type, 'language' => '');

    $variables['content'] = drupal_get_form($type .'_node_form', $node);

    drupal_set_title(t('Create @name', array('@name' => $types[$type]->name)));

    $head_title = array(strip_tags(drupal_get_title()), variable_get('site_name', 'Drupal'));
    $variables['head_title'] = implode(' | ', $head_title);
    $variables['head'] = drupal_get_html_head();

    $variables['styles'] = drupal_get_css();
    $variables['scripts'] = drupal_get_js();

    $variables['language'] = $GLOBALS['language'];
    $variables['language']->dir = $GLOBALS['language']->direction ? 'rtl' : 'ltr';

    $variables['messages'] = theme('status_messages');

    $body_classes = array(
      'page-nrembrowser',
    );
    $variables['body_classes'] = implode(' ', $body_classes);
  }
}

